Subject: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Juanma Barranquero <[email-masked]>
Date: Tue, 26 Nov 2019 00:45:56 +0100

On Mon, Nov 25, 2019 at 4:30 PM Eli Zaretskii <[email-masked]> wrote:

> Is there something else to be developed?  I wasn't aware of anything
> that didn't get implemented already.

Near the end of this thread

https://lists.gnu.org/archive/html/emacs-devel/2019-10/msg00590.html

Ergus said:

Somehow this is related with something we discussed some time ago, about

the fact that we should call extend_face_to_end_of_line in the last line

of the buffer if not empty in some conditions (dfci is active for

example.)

Maybe you remember that we don't have the indicator for the last line,

which somehow we agreed must be corrected. In this case the problem is

the same: the extend_face... function is not called for the latest line

in the buffer but I didn't find a better condition to fix this (I didn't

try very hard either) But probably it just requires to extend a

condition in an if and part of this problem will be fixed (the case for

the last line at least)

There are some conditions in the display_line function to not call

extend_face_to... when the line ends at ZV, fixing this condition we

should be done right?

Was this resolved / fixed?